<< delete_VideoCapture | Video reading | Video writing >>

scicv >> Video > Video reading > new_VideoCapture

# new_VideoCapture

Create a new video capturing object.

### Syntax

    videoCapture = new_VideoCapture()

    videoCapture = new_VideoCapture(filename)

    videoCapture = new_VideoCapture(device)

### Parameters

filename

  Path of the video file (string).

device

  Id of the opened video capturing device (camera index) (double).

videoCapture

  Created video capture object (VideoCapture).

### Description

`new_VideoCapture` creates an VideoCapture object from a video file or a capturing device such as a camera.

### Examples

    scicv_Init();

    videoCapture = new_VideoCapture(getSampleVideo("video.mpg"));

    disp(typeof(videoCapture));

    delete_VideoCapture(videoCapture);

### See also

- delete_VideoCapture

Report an issue
<< delete_VideoCapture | Video reading | Video writing >>